/***************************************************************************
                          clientdefines.h  -  description
                             -------------------
    begin                : Thu Feb 27 2003
    copyright            : (C) 2003 by Silviu Simen
    email                : ssimen@vryad.com
 ***************************************************************************/
#ifndef _ENGINE_TYPES
#define _ENGINE_TYPES

struct Texture
{
  int x, y;
  unsigned char *data;
};

#define SCREENX 800
#define SCREENY 600

int LoadPNGTexture (const char *infile, Texture & texture);
void FreeTexture (GLuint texture);
void HandleKeyboard ();
GLuint LoadTexture (const char *infile);

void Render ();
void EngineInit ();
void EngineDone ();
void myKeyboard (unsigned char k, int mouseX, int mouseY);



#endif
