/***************************************************************************
                          p5server.h  -  description
                             -------------------
    begin                : Thu Feb 27 2003
    copyright            : (C) 2003 by Silviu Simen
    email                : ssimen@vryad.com
 ***************************************************************************/

#ifndef _P5_SERVER_H_
#define _P5_SERVER_H_

void srv_SetOptions (int argc, char **argv);
void srv_Init (int num_p5);
void srv_CopyData (int j, P5Data * p5data);
void srv_Close ();

class CP5MouseRepeater
{
public:
    enum {
	type_msc,
	type_imps2
    };
    CP5MouseRepeater();
    void mous_Setup(int mouse_type);
    void mous_Close();
    void mous_ProcessData(P5Data *p5data);
private:
    int filed;
    float * filterx;
    float * filtery;
    float * filterz;
    int filter_size;
    int m_type;
    void mous_CreateFilter(int fsize);
    void mous_RemoveFilter();
    void mous_FilterAdd(float x, float y, float z);
    void mous_FilterGet(float *x, float *y, float *z);
    void mous_msc_ProcessData(P5Data *p5data);
    void mous_msc_RawSend (int dx, int dy, int dz, int buttp, int buttr);
    void mous_msc_Move (int dx, int dy, int dz);
    void mous_msc_Button (int down, int up);
    void mous_imps2_ProcessData(P5Data *p5data);

};

#endif
